package com.example.iplace.ui.theme

import androidx.compose.material3.Typography
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.Font
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.sp
import com.example.iplace.R

// Set of Material typography styles to start with
val BasicFont = FontFamily(
    Font(R.font.basic_nunitosans, FontWeight.Black, FontStyle.Normal),
    Font(R.font.basic_nunitosans_italic, FontWeight.Black, FontStyle.Italic),
)
val HeadlinesFont = FontFamily(
    Font(R.font.headlines_oswald, FontWeight.Black, FontStyle.Normal),
)
val OtherFont = FontFamily(
    Font(R.font.other_inter, FontWeight.Black, FontStyle.Normal),
    Font(R.font.other_inter_italic, FontWeight.Black, FontStyle.Italic),
)




val Typography = Typography(
    bodyLarge = TextStyle(
        fontFamily = FontFamily.Default,
        fontWeight = FontWeight.Normal,
        fontSize = 16.sp,
        lineHeight = 24.sp,
        letterSpacing = 0.5.sp
    )
    /* Other default text styles to override
    titleLarge = TextStyle(
        fontFamily = FontFamily.Default,
        fontWeight = FontWeight.Normal,
        fontSize = 22.sp,
        lineHeight = 28.sp,
        letterSpacing = 0.sp
    ),
    labelSmall = TextStyle(
        fontFamily = FontFamily.Default,
        fontWeight = FontWeight.Medium,
        fontSize = 11.sp,
        lineHeight = 16.sp,
        letterSpacing = 0.5.sp
    )
    */
)